Đặt mật khẩu mới sau khi khôi phục tài khoản
Đặt mật khẩu mới sau khi khôi phục tài khoản
curl --request POST \
--url https://platform.verolabs.co/api/auth/recovery/reset-password \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>'})
};
fetch('https://platform.verolabs.co/api/auth/recovery/reset-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.verolabs.co/api/auth/recovery/reset-password"
payload = { "password": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.verolabs.co/api/auth/recovery/reset-password"
payload := strings.NewReader("{\n \"password\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://platform.verolabs.co/api/auth/recovery/reset-password");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n \"password\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://platform.verolabs.co/api/auth/recovery/reset-password");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"password\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"status": "authenticated",
"sessionToken": "<string>",
"jwt": "<string>",
"session": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>",
"authenticator_assurance_level": "aal1"
},
"identity": {
"id": "<string>",
"traits": {}
},
"tokenizedSession": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>",
"authenticator_assurance_level": "aal1"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Nội dung
Mật khẩu mới của tài khoản.
Yêu cầu đặt mật khẩu mới sau khi xác minh mã khôi phục.
Mật khẩu mới của tài khoản Vero OMS.
1Phản hồi
Mật khẩu đã cập nhật; phiên đã xác thực hoặc yêu cầu xác thực yếu tố thứ hai đang chờ.
- Option 1
- Option 2
Kiểm tra status trong mọi phản hồi HTTP thành công. authenticated chứa JWT; mfa_required yêu cầu gọi POST /api/auth/mfa/verify với cookie từ phản hồi.
Cho biết xác thực đã hoàn tất và JWT có thể được sử dụng.
authenticated Token phiên tài khoản. Giữ bí mật token này. Dùng để tiếp tục phiên; dùng jwt để xác thực REST API.
Bearer JWT cho yêu cầu REST API cần xác thực. Gửi bằng Authorization: Bearer .
Phiên đã xác thực và đang hoạt động.
Hide child attributes
Hide child attributes
Unique identifier for the record.
Indicates whether the session is active.
Timestamp when the session was authenticated.
Timestamp when the session expires.
Devices associated with the authenticated session.
Bearer JWT issued for REST API calls.
Mức xác thực của phiên: aal1 sau khi xác thực yếu tố thứ nhất; aal2 sau khi xác thực hai lớp thành công.
aal1, aal2 Phiên đã xác thực chứa JWT trong trường tokenized.
Hide child attributes
Hide child attributes
Unique identifier for the record.
Indicates whether the session is active.
Timestamp when the session was authenticated.
Timestamp when the session expires.
Devices associated with the authenticated session.
Bearer JWT issued for REST API calls.
Mức xác thực của phiên: aal1 sau khi xác thực yếu tố thứ nhất; aal2 sau khi xác thực hai lớp thành công.
aal1, aal2 curl --request POST \
--url https://platform.verolabs.co/api/auth/recovery/reset-password \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>'})
};
fetch('https://platform.verolabs.co/api/auth/recovery/reset-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.verolabs.co/api/auth/recovery/reset-password"
payload = { "password": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.verolabs.co/api/auth/recovery/reset-password"
payload := strings.NewReader("{\n \"password\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://platform.verolabs.co/api/auth/recovery/reset-password");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n \"password\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://platform.verolabs.co/api/auth/recovery/reset-password");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"password\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"status": "authenticated",
"sessionToken": "<string>",
"jwt": "<string>",
"session": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>",
"authenticator_assurance_level": "aal1"
},
"identity": {
"id": "<string>",
"traits": {}
},
"tokenizedSession": {
"id": "<string>",
"active": true,
"authenticated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"devices": [
{
"ip_address": "<string>",
"location": "<string>",
"user_agent": "<string>"
}
],
"identity": {
"id": "<string>",
"traits": {}
},
"tokenized": "<string>",
"authenticator_assurance_level": "aal1"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}
